> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Widget

> Create A Pay via widgets



## OpenAPI

````yaml /openapi/connect.json post /collection/widgets
openapi: 3.0.2
info:
  title: Flick Connect API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Transmit KYB
    description: Bank Linking
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Connect API
    description: Bank Linking
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /collection/widgets:
    post:
      tags:
        - Transmit KYB
      summary: Widget
      description: Create A Pay via widgets
      operationId: Initiate global payment from Bank accounts with widgets
      requestBody:
        description: Inititate a widget Payment
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/widgets'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/widgetsResponse'
        '400':
          description: Wrong Input
        '403':
          description: Unauthroized Access
        '405':
          description: Creation failed
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    widgets:
      required:
        - currency
      type: object
      properties:
        currency:
          type: string
          enum:
            - NGN
            - USD
            - EUR
    widgetsResponse:
      type: object
      properties:
        status:
          type: string
          example: Success
        message:
          type: string
          example: Transaction created successfully
        data:
          type: object
          properties:
            transactionId:
              type: string
              example: Flick-1c-jfkrn35-5fjsd8-vsd
            url:
              type: string
              example: https://checkout.kybpaywithflick.co/smekfx
            access_code:
              type: string
              example: smekfx
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.